%global pname qsismix
%global gitdate 20181109

Name:           qsismixer
Version:        0.2.3
Release:        1.%{gitdate}%{?dist}
Summary:        A Qt based gui mixer for Focusrite Scarlett 6i6 
License:        LGPLv3+
URL:            https://sourceforge.net/projects/qsismixer/
#Source:         https://sourceforge.net/projects/%%{pname}/files/%%{pname}.tar.gz
Source:         %{pname}-%{gitdate}.tar.gz

BuildRequires:  pkgconfig(Qt5) 
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  desktop-file-utils
#
BuildRequires:  pcre-devel

%description
Qsismixer is a frontend gui to control the alsa mixer for Focusrite's Scarlett
6i6 USB sound card on Linux.
It builds against the Qt5 framework and the Linux kernel's ALSA API.

This is third party software that is not created, distributed, or sanctioned in
any way by Focusrite.
Features

    Specialized alsa mixer controls
    Work with the scarlett interface's powerful 18-channel hardware mixer
    Save and load hardware configurations from gui or command line

%prep
%autosetup -p1 -c -n %{pname}
sed -i -e 's|INSTALLDIR = /usr/local|INSTALLDIR = /usr|' %{pname}.pro
sed -i -e 's|//#define NEW_ALSA_CTRL_SCHEME|#define NEW_ALSA_CTRL_SCHEME|' include/mixsisctrl.h

%build
%{qmake_qt5} %{pname}.pro PREFIX=%{_prefix}

%install
%make_install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications/
cp %{pname}.desktop %{buildroot}%{_datadir}/applications/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%doc NEWS README
%license INSTALL
%{_bindir}/%{pname}
%{_datadir}/icons/hicolor/512x512/apps/qsismix.png
%{_datadir}/applications/%{pname}*.desktop

%changelog
* Tue Dec 04 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.2.3-1.20181109
- Initial build
